<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::sensor::FlashLedMessage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1sensor_1_1_flash_led_message.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1sensor_1_1_flash_led_message-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::sensor::FlashLedMessage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::sensor::FlashLedMessage:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1sensor_1_1_flash_led_message.png" usemap="#flair::sensor::FlashLedMessage_map" alt=""/>
  <map id="flair::sensor::FlashLedMessage_map" name="flair::sensor::FlashLedMessage_map">
<area href="classflair_1_1core_1_1_message.html" alt="flair::core::Message" shape="rect" coords="0,0,187,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5e8fb37f1a82d0255a260204cdd085b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e8fb37f1a82d0255a260204cdd085b9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>FlashLedMessage</b> (unsigned int ledId, unsigned int onTime, unsigned int offTime)</td></tr>
<tr class="separator:a5e8fb37f1a82d0255a260204cdd085b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad840551f024923bd05377309325c3818"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad840551f024923bd05377309325c3818"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetLedId</b> () const </td></tr>
<tr class="separator:ad840551f024923bd05377309325c3818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae87db92821e34830b2036f64768abb73"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae87db92821e34830b2036f64768abb73"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetOnTime</b> () const </td></tr>
<tr class="separator:ae87db92821e34830b2036f64768abb73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aaed6a248e169071835b298f72f782d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5aaed6a248e169071835b298f72f782d"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetOffTime</b> () const </td></tr>
<tr class="separator:a5aaed6a248e169071835b298f72f782d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a367fde4136d68ef436843b0f4c75cc11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a367fde4136d68ef436843b0f4c75cc11"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedId</b> (unsigned int ledId)</td></tr>
<tr class="separator:a367fde4136d68ef436843b0f4c75cc11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4be9127272a2911f14282f6cebabb709"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4be9127272a2911f14282f6cebabb709"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetOnTime</b> (unsigned int onTime)</td></tr>
<tr class="separator:a4be9127272a2911f14282f6cebabb709"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f0302b5fb3f1ef552ebeb473008aa9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f0302b5fb3f1ef552ebeb473008aa9b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetOffTime</b> (unsigned int offTime)</td></tr>
<tr class="separator:a5f0302b5fb3f1ef552ebeb473008aa9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_message"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_message')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_message.html">flair::core::Message</a></td></tr>
<tr class="memitem:a4730ff306a69775b23d9817b55cd16f2 inherit pub_methods_classflair_1_1core_1_1_message"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4730ff306a69775b23d9817b55cd16f2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Message</b> (unsigned int myBufferSize)</td></tr>
<tr class="separator:a4730ff306a69775b23d9817b55cd16f2 inherit pub_methods_classflair_1_1core_1_1_message"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_classflair_1_1core_1_1_message"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classflair_1_1core_1_1_message')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classflair_1_1core_1_1_message.html">flair::core::Message</a></td></tr>
<tr class="memitem:a557839f1c97332640b84dbbecc15c7bd inherit pub_attribs_classflair_1_1core_1_1_message"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a557839f1c97332640b84dbbecc15c7bd"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>buffer</b></td></tr>
<tr class="separator:a557839f1c97332640b84dbbecc15c7bd inherit pub_attribs_classflair_1_1core_1_1_message"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd8cab75ae376ed12f83a291f767d8f inherit pub_attribs_classflair_1_1core_1_1_message"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bd8cab75ae376ed12f83a291f767d8f"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>bufferSize</b></td></tr>
<tr class="separator:a1bd8cab75ae376ed12f83a291f767d8f inherit pub_attribs_classflair_1_1core_1_1_message"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1sensor.html">sensor</a></li><li class="navelem"><a class="el" href="classflair_1_1sensor_1_1_flash_led_message.html">FlashLedMessage</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
